depends = ('ITKPyBase', 'ITKSmoothing', 'ITKRegistrationCommon', 'ITKOptimizers', 'ITKImageNoise', 'ITKIOTIFF', 'ITKIORAW', 'ITKIOMeta', 'ITKIOGDCM', 'ITKFFT', 'ITKConvolution', 'ITKCommon', 'ITKBridgeNumPy', )
templates = (
  ('FixedArray', 'itk::FixedArray', 'itkFixedArrayi2', False, 'int, 2'),
  ('Vector', 'itk::Vector', 'itkVectori2', False, 'int, 2'),
  ('CovariantVector', 'itk::CovariantVector', 'itkCovariantVectorD1', False, 'double, 1'),
  ('Point', 'itk::Point', 'itkPointD1', False, 'double, 1'),
  ('vector', 'std::vector', 'vectoritkPointD1', False, 'itk::Point< double, 1  >'),
  ('ContinuousIndex', 'itk::ContinuousIndex', 'itkContinuousIndexD1', False, 'double, 1'),
  ('Matrix', 'itk::Matrix', 'itkMatrixD11', False, 'double, 1, 1'),
  ('VariableLengthVector', 'itk::VariableLengthVector', 'itkVariableLengthVectorI', False, 'int'),
  ('ImageBase', 'itk::ImageBase', 'itkImageBase1', False, '1'),
  ('Image', 'itk::Image', 'itkImageUS1', False, 'unsigned short, 1'),
  ('vector', 'std::vector', 'vectoritkImageUS1', False, 'itk::Image< unsigned short, 1  > '),
  ('Image', 'itk::Image', 'itkImageUS4', False, 'unsigned short, 4'),
  ('vector', 'std::vector', 'vectoritkImageUS4', False, 'itk::Image< unsigned short, 4  > '),
  ('Image', 'itk::Image', 'itkImageUI2', False, 'unsigned int, 2'),
  ('vector', 'std::vector', 'vectoritkImageUI2', False, 'itk::Image< unsigned int, 2  > '),
  ('Image', 'itk::Image', 'itkImageUI3', False, 'unsigned int, 3'),
  ('vector', 'std::vector', 'vectoritkImageUI3', False, 'itk::Image< unsigned int, 3  > '),
  ('Image', 'itk::Image', 'itkImageUC1', False, 'unsigned char, 1'),
  ('vector', 'std::vector', 'vectoritkImageUC1', False, 'itk::Image< unsigned char, 1  > '),
  ('Image', 'itk::Image', 'itkImageF1', False, 'float, 1'),
  ('vector', 'std::vector', 'vectoritkImageF1', False, 'itk::Image< float, 1  > '),
  ('Image', 'itk::Image', 'itkImageD1', False, 'double, 1'),
  ('vector', 'std::vector', 'vectoritkImageD1', False, 'itk::Image< double, 1  > '),
  ('Image', 'itk::Image', 'itkImageF4', False, 'float, 4'),
  ('vector', 'std::vector', 'vectoritkImageF4', False, 'itk::Image< float, 4  > '),
  ('Image', 'itk::Image', 'itkImageD4', False, 'double, 4'),
  ('vector', 'std::vector', 'vectoritkImageD4', False, 'itk::Image< double, 4  > '),
  ('Image', 'itk::Image', 'itkImageVF52', False, 'itk::Vector< float,5 >, 2'),
  ('vector', 'std::vector', 'vectoritkImageVF52', False, 'itk::Image< itk::Vector< float,5 >, 2  > '),
  ('Image', 'itk::Image', 'itkImageCVF52', False, 'itk::CovariantVector< float,5 >, 2'),
  ('vector', 'std::vector', 'vectoritkImageCVF52', False, 'itk::Image< itk::CovariantVector< float,5 >, 2  > '),
  ('Image', 'itk::Image', 'itkImageVF53', False, 'itk::Vector< float,5 >, 3'),
  ('vector', 'std::vector', 'vectoritkImageVF53', False, 'itk::Image< itk::Vector< float,5 >, 3  > '),
  ('Image', 'itk::Image', 'itkImageCVF53', False, 'itk::CovariantVector< float,5 >, 3'),
  ('vector', 'std::vector', 'vectoritkImageCVF53', False, 'itk::Image< itk::CovariantVector< float,5 >, 3  > '),
  ('Image', 'itk::Image', 'itkImageVF54', False, 'itk::Vector< float,5 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVF54', False, 'itk::Image< itk::Vector< float,5 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVF54', False, 'itk::CovariantVector< float,5 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageCVF54', False, 'itk::Image< itk::CovariantVector< float,5 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageVF24', False, 'itk::Vector< float,2 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVF24', False, 'itk::Image< itk::Vector< float,2 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVF24', False, 'itk::CovariantVector< float,2 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageCVF24', False, 'itk::Image< itk::CovariantVector< float,2 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageVF34', False, 'itk::Vector< float,3 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVF34', False, 'itk::Image< itk::Vector< float,3 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVF34', False, 'itk::CovariantVector< float,3 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageCVF34', False, 'itk::Image< itk::CovariantVector< float,3 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageVF44', False, 'itk::Vector< float,4 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageVF44', False, 'itk::Image< itk::Vector< float,4 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVF44', False, 'itk::CovariantVector< float,4 >, 4'),
  ('vector', 'std::vector', 'vectoritkImageCVF44', False, 'itk::Image< itk::CovariantVector< float,4 >, 4  > '),
  ('Image', 'itk::Image', 'itkImageCVD53', False, 'itk::CovariantVector<double,5>, 3'),
  ('vector', 'std::vector', 'vectoritkImageCVD53', False, 'itk::Image< itk::CovariantVector<double,5>, 3  > '),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF1', False, 'itk::Image<float, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID1', False, 'itk::Image<double, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIF4', False, 'itk::Image<float, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceID4', False, 'itk::Image<double, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF24', False, 'itk::Image<itk::Vector< float,2 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF34', False, 'itk::Image<itk::Vector< float,3 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceIVF44', False, 'itk::Image<itk::Vector< float,4 >, 4>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD23', False, 'itk::Image<itk::CovariantVector<double, 2>, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD43', False, 'itk::Image<itk::CovariantVector<double, 4>, 3>'),
  ('ImageSource', 'itk::ImageSource', 'itkImageSourceICVD53', False, 'itk::Image<itk::CovariantVector<double, 5>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF4IF4', False, 'itk::Image<float, 4>, itk::Image<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID4ID4', False, 'itk::Image<double, 4>, itk::Image<double, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF52IVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>, itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF54IVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF24IVF24', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF34IVF34', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF44IVF44', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF24IVF23', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF34IVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF44IVF43', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIVF54IVF53', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD23ICVD23', False, 'itk::Image<itk::CovariantVector<double, 2>, 3>, itk::Image<itk::CovariantVector<double, 2>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD33ICVD33', False, 'itk::Image<itk::CovariantVector<double, 3>, 3>, itk::Image<itk::CovariantVector<double, 3>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD43ICVD43', False, 'itk::Image<itk::CovariantVector<double, 4>, 3>, itk::Image<itk::CovariantVector<double, 4>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterICVD53ICVD53', False, 'itk::Image<itk::CovariantVector<double, 5>, 3>, itk::Image<itk::CovariantVector<double, 5>, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2IF1', False, 'itk::Image<float, 2>, itk::Image<float, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID2ID1', False, 'itk::Image<double, 2>, itk::Image<double, 1>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterID3VID2', False, 'itk::Image<double, 3>, itk::VectorImage<double, 2>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID2ID3', False, 'itk::VectorImage<double, 2>, itk::Image<double, 3>'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterVID3ID4', False, 'itk::VectorImage<double, 3>, itk::Image<double, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF1IF1', False, 'itk::Image<float, 1>, itk::Image<float, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterID1ID1', False, 'itk::Image<double, 1>, itk::Image<double, 1>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIF3ID2', False, 'itk::Image<float, 3>, itk::Image<double, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF52IVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>, itk::Image<itk::Vector< float,5 >, 2>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF54IVF54', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF24IVF24', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF34IVF34', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterIVF44IVF44', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 4>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVIF3VIF3', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>'),
  ('InPlaceImageFilter', 'itk::InPlaceImageFilter', 'itkInPlaceImageFilterVID3VID3', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>'),
  ('ForwardProjectionImageFilter', 'rtk::ForwardProjectionImageFilter', 'rtkForwardProjectionImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIVF52', False, 'itk::Image<itk::Vector< float,5 >,2>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferICVF52', False, 'itk::Image<itk::CovariantVector< float,5 >,2>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIVF53', False, 'itk::Image<itk::Vector< float,5 >,3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferICVF53', False, 'itk::Image<itk::CovariantVector< float,5 >,3>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferID1', False, 'itk::Image<double, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('PyBuffer', 'itk::PyBuffer', 'itkPyBufferIF1', False, 'itk::Image<float, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorID1', False, 'itk::Image<double, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF1', False, 'itk::Image<float, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID1', False, 'itk::Image<double, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF1', False, 'itk::Image<float, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF52', False, 'itk::Image<itk::Vector< float,5 >, 2>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID1', False, 'itk::Image<double, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC1', False, 'itk::Image<unsigned char, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS1', False, 'itk::Image<unsigned short, 1>'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF1', False, 'itk::Image<float, 1>'),
  ('ImageRegion', 'itk::ImageRegion', 'itkImageRegion1', False, '1'),
  ('vector', 'std::vector', 'vectoritkImageRegion1', False, 'itk::ImageRegion< 1  >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterID2ID2ICVD22', False, 'itk::Image<double, 2>, itk::Image<double, 2>, itk::Image< itk::CovariantVector<double, 2>, 2>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterID3ID3ICVD33', False, 'itk::Image<double, 3>, itk::Image<double, 3>, itk::Image< itk::CovariantVector<double, 3>, 3>'),
  ('ADMMTotalVariationConeBeamReconstructionFilter', 'rtk::ADMMTotalVariationConeBeamReconstructionFilter', 'rtkADMMTotalVariationConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ADMMTotalVariationConeBeamReconstructionFilter', 'rtk::ADMMTotalVariationConeBeamReconstructionFilter', 'rtkADMMTotalVariationConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ADMMWaveletsConeBeamReconstructionFilter', 'rtk::ADMMWaveletsConeBeamReconstructionFilter', 'rtkADMMWaveletsConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('AmsterdamShroudImageFilter', 'rtk::AmsterdamShroudImageFilter', 'rtkAmsterdamShroudImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('AmsterdamShroudImageFilter', 'rtk::AmsterdamShroudImageFilter', 'rtkAmsterdamShroudImageFilterID3', False, 'itk::Image< double,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BackProjectionImageFilter', 'rtk::BackProjectionImageFilter', 'rtkBackProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BoellaardScatterCorrectionImageFilter', 'rtk::BoellaardScatterCorrectionImageFilter', 'rtkBoellaardScatterCorrectionImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('BoellaardScatterCorrectionImageFilter', 'rtk::BoellaardScatterCorrectionImageFilter', 'rtkBoellaardScatterCorrectionImageFilterID3', False, 'itk::Image< double,3 >'),
  ('BoxShape', 'rtk::BoxShape', 'rtkBoxShape', False),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterID2', False, 'itk::Image< double,2 >'),
  ('ConditionalMedianImageFilter', 'rtk::ConditionalMedianImageFilter', 'rtkConditionalMedianImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('ConjugateGradientConeBeamReconstructionFilter', 'rtk::ConjugateGradientConeBeamReconstructionFilter', 'rtkConjugateGradientConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF2', False, 'itk::Image< float,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIF3', False, 'itk::Image< float,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceID2', False, 'itk::Image< double,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceID3', False, 'itk::Image< double,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF22', False, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF32', False, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF42', False, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ConstantImageSource', 'rtk::ConstantImageSource', 'rtkConstantImageSourceIVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ConvexShape', 'rtk::ConvexShape', 'rtkConvexShape', False),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF24IVF23', False, 'itk::Image<itk::Vector< float,2 >, 4>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF34IVF33', False, 'itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF44IVF43', False, 'itk::Image<itk::Vector< float,4 >, 4>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('CyclicDeformationImageFilter', 'rtk::CyclicDeformationImageFilter', 'rtkCyclicDeformationImageFilterIVF54IVF53', False, 'itk::Image<itk::Vector< float,5 >, 4>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('DCMImagXImageIO', 'rtk::DCMImagXImageIO', 'rtkDCMImagXImageIO', False),
  ('DCMImagXImageIOFactory', 'rtk::DCMImagXImageIOFactory', 'rtkDCMImagXImageIOFactory', False),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterID2', False, 'itk::Image< double,2 >'),
  ('DeconstructSoftThresholdReconstructImageFilter', 'rtk::DeconstructSoftThresholdReconstructImageFilter', 'rtkDeconstructSoftThresholdReconstructImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterID2ICVF22', False, 'itk::Image<double, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterIF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('DenoisingBPDQImageFilter', 'rtk::DenoisingBPDQImageFilter', 'rtkDenoisingBPDQImageFilterID3ICVF33', False, 'itk::Image<double, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtk::DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtkDisplacedDetectorForOffsetFieldOfViewImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtk::DisplacedDetectorForOffsetFieldOfViewImageFilter', 'rtkDisplacedDetectorForOffsetFieldOfViewImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('DisplacedDetectorImageFilter', 'rtk::DisplacedDetectorImageFilter', 'rtkDisplacedDetectorImageFilterID3', False, 'itk::Image< double,3 >'),
  ('DrawConvexImageFilter', 'rtk::DrawConvexImageFilter', 'rtkDrawConvexImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawConvexImageFilter', 'rtk::DrawConvexImageFilter', 'rtkDrawConvexImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawEllipsoidImageFilter', 'rtk::DrawEllipsoidImageFilter', 'rtkDrawEllipsoidImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawEllipsoidImageFilter', 'rtk::DrawEllipsoidImageFilter', 'rtkDrawEllipsoidImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawGeometricPhantomImageFilter', 'rtk::DrawGeometricPhantomImageFilter', 'rtkDrawGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawGeometricPhantomImageFilter', 'rtk::DrawGeometricPhantomImageFilter', 'rtkDrawGeometricPhantomImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DrawSheppLoganFilter', 'rtk::DrawSheppLoganFilter', 'rtkDrawSheppLoganFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DrawSheppLoganFilter', 'rtk::DrawSheppLoganFilter', 'rtkDrawSheppLoganFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('EdfImageIO', 'rtk::EdfImageIO', 'rtkEdfImageIO', False),
  ('EdfImageIOFactory', 'rtk::EdfImageIOFactory', 'rtkEdfImageIOFactory', False),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF2IF2', False, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterID2ID2', False, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('EdfRawToAttenuationImageFilter', 'rtk::EdfRawToAttenuationImageFilter', 'rtkEdfRawToAttenuationImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ElektaSynergyRawLookupTableImageFilter', 'rtk::ElektaSynergyRawLookupTableImageFilter', 'rtkElektaSynergyRawLookupTableImageFilterIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('ElektaSynergyRawLookupTableImageFilter', 'rtk::ElektaSynergyRawLookupTableImageFilter', 'rtkElektaSynergyRawLookupTableImageFilterIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterIF1', False, 'itk::Image<float, 1>'),
  ('ExtractPhaseImageFilter', 'rtk::ExtractPhaseImageFilter', 'rtkExtractPhaseImageFilterID1', False, 'itk::Image<double, 1>'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FDKBackProjectionImageFilter', 'rtk::FDKBackProjectionImageFilter', 'rtkFDKBackProjectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterIF3', False, 'itk::Image<float, 3>'),
  ('FDKConeBeamReconstructionFilter', 'rtk::FDKConeBeamReconstructionFilter', 'rtkFDKConeBeamReconstructionFilterID3', False, 'itk::Image<double, 3>'),
  ('FDKWarpBackProjectionImageFilter', 'rtk::FDKWarpBackProjectionImageFilter', 'rtkFDKWarpBackProjectionImageFilterIF3IF3CDFIF4IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::CyclicDeformationImageFilter< itk::Image<float, 4>, itk::Image<float, 3> >'),
  ('FDKWarpBackProjectionImageFilter', 'rtk::FDKWarpBackProjectionImageFilter', 'rtkFDKWarpBackProjectionImageFilterIF3IF3CDFIVF34IVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::CyclicDeformationImageFilter< itk::Image<itk::Vector< float,3 >, 4>, itk::Image<itk::Vector< float,3 >, 3> >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF2', False, 'itk::Image< float,2 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterIF3', False, 'itk::Image< float,3 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterID2', False, 'itk::Image< double,2 >'),
  ('FDKWeightProjectionFilter', 'rtk::FDKWeightProjectionFilter', 'rtkFDKWeightProjectionFilterID3', False, 'itk::Image< double,3 >'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('FFTProjectionsConvolutionImageFilter', 'rtk::FFTProjectionsConvolutionImageFilter', 'rtkFFTProjectionsConvolutionImageFilterID3ID3F', False, 'itk::Image<double, 3>, itk::Image<double, 3>, float'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('FFTRampImageFilter', 'rtk::FFTRampImageFilter', 'rtkFFTRampImageFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('FieldOfViewImageFilter', 'rtk::FieldOfViewImageFilter', 'rtkFieldOfViewImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FieldOfViewImageFilter', 'rtk::FieldOfViewImageFilter', 'rtkFieldOfViewImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF2IF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<float, 2>, itk::Image< itk::CovariantVector<float, 2>, 2>'),
  ('ForwardWarpImageFilter', 'rtk::ForwardWarpImageFilter', 'rtkForwardWarpImageFilterIF3IF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<float, 3>, itk::Image< itk::CovariantVector<float, 3>, 3>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDConjugateGradientConeBeamReconstructionFilter', 'rtk::FourDConjugateGradientConeBeamReconstructionFilter', 'rtkFourDConjugateGradientConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('FourDSARTConeBeamReconstructionFilter', 'rtk::FourDSARTConeBeamReconstructionFilter', 'rtkFourDSARTConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('FourDToProjectionStackImageFilter', 'rtk::FourDToProjectionStackImageFilter', 'rtkFourDToProjectionStackImageFilterIF3IF4', False, 'itk::Image<float, 3>, itk::Image<float, 4>'),
  ('FourDToProjectionStackImageFilter', 'rtk::FourDToProjectionStackImageFilter', 'rtkFourDToProjectionStackImageFilterID3ID4', False, 'itk::Image<double, 3>, itk::Image<double, 4>'),
  ('GeometricPhantom', 'rtk::GeometricPhantom', 'rtkGeometricPhantom', False),
  ('GeometricPhantomFileReader', 'rtk::GeometricPhantomFileReader', 'rtkGeometricPhantomFileReader', False),
  ('HisImageIO', 'rtk::HisImageIO', 'rtkHisImageIO', False),
  ('HisImageIOFactory', 'rtk::HisImageIOFactory', 'rtkHisImageIOFactory', False),
  ('HncImageIO', 'rtk::HncImageIO', 'rtkHncImageIO', False),
  ('HncImageIOFactory', 'rtk::HncImageIOFactory', 'rtkHncImageIOFactory', False),
  ('HndImageIO', 'rtk::HndImageIO', 'rtkHndImageIO', False),
  ('HndImageIOFactory', 'rtk::HndImageIOFactory', 'rtkHndImageIOFactory', False),
  ('I0EstimationProjectionFilter', 'rtk::I0EstimationProjectionFilter', 'rtkI0EstimationProjectionFilterIUS3IUS32', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>, 2'),
  ('ImagXImageIO', 'rtk::ImagXImageIO', 'rtkImagXImageIO', False),
  ('ImagXImageIOFactory', 'rtk::ImagXImageIOFactory', 'rtkImagXImageIOFactory', False),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF2VIF2', False, 'itk::Image<float, 2>, itk::VectorImage<float, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterIF3VIF2', False, 'itk::Image<float, 3>, itk::VectorImage<float, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterID2VID2', False, 'itk::Image<double, 2>, itk::VectorImage<double, 2>'),
  ('ImageToVectorImageFilter', 'rtk::ImageToVectorImageFilter', 'rtkImageToVectorImageFilterID3VID2', False, 'itk::Image<double, 3>, itk::VectorImage<double, 2>'),
  ('IntersectionOfConvexShapes', 'rtk::IntersectionOfConvexShapes', 'rtkIntersectionOfConvexShapes', False),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF3', False, 'itk::Image< float,3 >'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterID3', False, 'itk::Image< double,3 >'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterID4ID3', False, 'itk::Image<double, 4>, itk::Image<double, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >, 3>, itk::Image<itk::Vector< float,2 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >, 3>, itk::Image<itk::Vector< float,3 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >, 3>, itk::Image<itk::Vector< float,4 >, 3>'),
  ('IterativeConeBeamReconstructionFilter', 'rtk::IterativeConeBeamReconstructionFilter', 'rtkIterativeConeBeamReconstructionFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >, 3>, itk::Image<itk::Vector< float,5 >, 3>'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterIF3IF3D', False, 'itk::Image<float, 3>, itk::Image<float, 3>, double'),
  ('IterativeFDKConeBeamReconstructionFilter', 'rtk::IterativeFDKConeBeamReconstructionFilter', 'rtkIterativeFDKConeBeamReconstructionFilterID3ID3D', False, 'itk::Image<double, 3>, itk::Image<double, 3>, double'),
  ('SplatWeightMultiplication', 'rtk::Functor::SplatWeightMultiplication', 'rtkFunctorSplatWeightMultiplicationFDF', False, 'float, double, float'),
  ('SplatWeightMultiplication', 'rtk::Functor::SplatWeightMultiplication', 'rtkFunctorSplatWeightMultiplicationDDD', False, 'double, double, double'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('JosephBackProjectionImageFilter', 'rtk::JosephBackProjectionImageFilter', 'rtkJosephBackProjectionImageFilterID3ID3SWMDDD', False, 'itk::Image<double, 3>, itk::Image< double, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF23IVF23', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF33IVF33', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF43IVF43', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>'),
  ('JosephForwardProjectionImageFilter', 'rtk::JosephForwardProjectionImageFilter', 'rtkJosephForwardProjectionImageFilterIVF53IVF53', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS2IF2', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>'),
  ('LUTbasedVariableI0RawToAttenuationImageFilter', 'rtk::LUTbasedVariableI0RawToAttenuationImageFilter', 'rtkLUTbasedVariableI0RawToAttenuationImageFilterIUS3IF3', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF31', False, 'itk::Image<float, 3>, 1'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF32', False, 'itk::Image<float, 3>, 2'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF33', False, 'itk::Image<float, 3>, 3'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterIF34', False, 'itk::Image<float, 3>, 4'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID31', False, 'itk::Image<double, 3>, 1'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID32', False, 'itk::Image<double, 3>, 2'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID33', False, 'itk::Image<double, 3>, 3'),
  ('LagCorrectionImageFilter', 'rtk::LagCorrectionImageFilter', 'rtkLagCorrectionImageFilterID34', False, 'itk::Image<double, 3>, 4'),
  ('LastDimensionL0GradientDenoisingImageFilter', 'rtk::LastDimensionL0GradientDenoisingImageFilter', 'rtkLastDimensionL0GradientDenoisingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('LastDimensionL0GradientDenoisingImageFilter', 'rtk::LastDimensionL0GradientDenoisingImageFilter', 'rtkLastDimensionL0GradientDenoisingImageFilterID3', False, 'itk::Image< double,3 >'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUIF', False, 'unsigned int, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUID', False, 'unsigned int, double'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSF', False, 'unsigned short, float'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSD', False, 'unsigned short, double'),
  ('LUT', 'rtk::Functor::LUT', 'rtkFunctorLUTUSUS', False, 'unsigned short, unsigned short'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2IF2LUTUIF', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned int, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3IF3LUTUIF', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned int, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2ID2LUTUID', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>, rtk::Functor::LUT< unsigned int, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3ID3LUTUID', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>, rtk::Functor::LUT< unsigned int, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2IF2LUTUSF', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>, rtk::Functor::LUT< unsigned short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3IF3LUTUSF', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>, rtk::Functor::LUT< unsigned short, float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2ID2LUTUSD', False, 'itk::Image<unsigned short, 2>, itk::Image<double, 2>, rtk::Functor::LUT< unsigned short, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3ID3LUTUSD', False, 'itk::Image<unsigned short, 3>, itk::Image<double, 3>, rtk::Functor::LUT< unsigned short, double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS2IUS2LUTUSUS', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>, rtk::Functor::LUT< unsigned short, unsigned short>'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUS3IUS3LUTUSUS', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>, rtk::Functor::LUT< unsigned short, unsigned short>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2IF2', False, 'itk::Image<unsigned short, 2>, itk::Image<float, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3IF3', False, 'itk::Image<unsigned short, 3>, itk::Image<float, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2ID2', False, 'itk::Image<unsigned short, 2>, itk::Image<double, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3ID3', False, 'itk::Image<unsigned short, 3>, itk::Image<double, 3>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS2IUS2', False, 'itk::Image<unsigned short, 2>, itk::Image<unsigned short, 2>'),
  ('LookupTableImageFilter', 'rtk::LookupTableImageFilter', 'rtkLookupTableImageFilterIUS3IUS3', False, 'itk::Image<unsigned short, 3>, itk::Image<unsigned short, 3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF23IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF33IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF43IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF23IVF53IF3', False, 'itk::Image<itk::Vector< float,2 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF23IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF33IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF43IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF33IVF53IF3', False, 'itk::Image<itk::Vector< float,3 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF23IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF33IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF43IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF43IVF53IF3', False, 'itk::Image<itk::Vector< float,4 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF23IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,2 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF33IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,3 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF43IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,4 >,3>, itk::Image<float,3>'),
  ('MechlemOneStepSpectralReconstructionFilter', 'rtk::MechlemOneStepSpectralReconstructionFilter', 'rtkMechlemOneStepSpectralReconstructionFilterIVF53IVF53IF3', False, 'itk::Image<itk::Vector< float,5 >,3>, itk::Image<itk::Vector< float,5 >,3>, itk::Image<float,3>'),
  ('MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtk::MotionCompensatedFourDConjugateGradientConeBeamReconstructionFilter', 'rtkMotionCompensatedFourDConjugateGradientConeBeamReconstructionFilterIF4IF3', False, 'itk::Image<float, 4>, itk::Image<float, 3>'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('OSEMConeBeamReconstructionFilter', 'rtk::OSEMConeBeamReconstructionFilter', 'rtkOSEMConeBeamReconstructionFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('OraImageIO', 'rtk::OraImageIO', 'rtkOraImageIO', False),
  ('OraImageIOFactory', 'rtk::OraImageIOFactory', 'rtkOraImageIOFactory', False),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterID2', False, 'itk::Image< double,2 >'),
  ('ParkerShortScanImageFilter', 'rtk::ParkerShortScanImageFilter', 'rtkParkerShortScanImageFilterID3', False, 'itk::Image< double,3 >'),
  ('PhaseGatingImageFilter', 'rtk::PhaseGatingImageFilter', 'rtkPhaseGatingImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('PhaseGatingImageFilter', 'rtk::PhaseGatingImageFilter', 'rtkPhaseGatingImageFilterID3', False, 'itk::Image< double,3 >'),
  ('PolynomialGainCorrectionImageFilter', 'rtk::PolynomialGainCorrectionImageFilter', 'rtkPolynomialGainCorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('PolynomialGainCorrectionImageFilter', 'rtk::PolynomialGainCorrectionImageFilter', 'rtkPolynomialGainCorrectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ProjectGeometricPhantomImageFilter', 'rtk::ProjectGeometricPhantomImageFilter', 'rtkProjectGeometricPhantomImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ProjectGeometricPhantomImageFilter', 'rtk::ProjectGeometricPhantomImageFilter', 'rtkProjectGeometricPhantomImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ProjectionGeometry', 'rtk::ProjectionGeometry', 'rtkProjectionGeometry3', False, '3'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterIF4IF3D', False, 'itk::Image<float, 4>, itk::Image<float, 3>, double'),
  ('ProjectionStackToFourDImageFilter', 'rtk::ProjectionStackToFourDImageFilter', 'rtkProjectionStackToFourDImageFilterID4ID3D', False, 'itk::Image<double, 4>, itk::Image<double, 3>, double'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC2', False, 'itk::Image< unsigned char,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIUC3', False, 'itk::Image< unsigned char,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF2', False, 'itk::Image< float,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderIF3', False, 'itk::Image< float,3 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderID2', False, 'itk::Image< double,2 >'),
  ('ProjectionsReader', 'rtk::ProjectionsReader', 'rtkProjectionsReaderID3', False, 'itk::Image< double,3 >'),
  ('QuadricShape', 'rtk::QuadricShape', 'rtkQuadricShape', False),
  ('RayBoxIntersectionImageFilter', 'rtk::RayBoxIntersectionImageFilter', 'rtkRayBoxIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayBoxIntersectionImageFilter', 'rtk::RayBoxIntersectionImageFilter', 'rtkRayBoxIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayConvexIntersectionImageFilter', 'rtk::RayConvexIntersectionImageFilter', 'rtkRayConvexIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayConvexIntersectionImageFilter', 'rtk::RayConvexIntersectionImageFilter', 'rtkRayConvexIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayEllipsoidIntersectionImageFilter', 'rtk::RayEllipsoidIntersectionImageFilter', 'rtkRayEllipsoidIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayEllipsoidIntersectionImageFilter', 'rtk::RayEllipsoidIntersectionImageFilter', 'rtkRayEllipsoidIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RayQuadricIntersectionImageFilter', 'rtk::RayQuadricIntersectionImageFilter', 'rtkRayQuadricIntersectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RayQuadricIntersectionImageFilter', 'rtk::RayQuadricIntersectionImageFilter', 'rtkRayQuadricIntersectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIRGBUC3IRGBUC3', False, 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIRGBAUC3IRGBAUC3', False, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF23IVF23', False, 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF33IVF33', False, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIVF43IVF43', False, 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF23ICVF23', False, 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF33ICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICVF43ICVF43', False, 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterISS3ISS3', False, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUC3IUC3', False, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIUS3IUS3', False, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReorderProjectionsImageFilter', 'rtk::ReorderProjectionsImageFilter', 'rtkReorderProjectionsImageFilterICF3ICF3', False, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SARTConeBeamReconstructionFilter', 'rtk::SARTConeBeamReconstructionFilter', 'rtkSARTConeBeamReconstructionFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ScatterGlareCorrectionImageFilter', 'rtk::ScatterGlareCorrectionImageFilter', 'rtkScatterGlareCorrectionImageFilterIF3IF3F', False, 'itk::Image<float, 3>, itk::Image<float, 3>, float'),
  ('ScatterGlareCorrectionImageFilter', 'rtk::ScatterGlareCorrectionImageFilter', 'rtkScatterGlareCorrectionImageFilterID3ID3F', False, 'itk::Image<double, 3>, itk::Image<double, 3>, float'),
  ('SelectOneProjectionPerCycleImageFilter', 'rtk::SelectOneProjectionPerCycleImageFilter', 'rtkSelectOneProjectionPerCycleImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SelectOneProjectionPerCycleImageFilter', 'rtk::SelectOneProjectionPerCycleImageFilter', 'rtkSelectOneProjectionPerCycleImageFilterID3', False, 'itk::Image< double,3 >'),
  ('SheppLoganPhantomFilter', 'rtk::SheppLoganPhantomFilter', 'rtkSheppLoganPhantomFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SheppLoganPhantomFilter', 'rtk::SheppLoganPhantomFilter', 'rtkSheppLoganPhantomFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SimplexSpectralProjectionsDecompositionImageFilter', 'rtk::SimplexSpectralProjectionsDecompositionImageFilter', 'rtkSimplexSpectralProjectionsDecompositionImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SimplexSpectralProjectionsDecompositionImageFilter', 'rtk::SimplexSpectralProjectionsDecompositionImageFilter', 'rtkSimplexSpectralProjectionsDecompositionImageFilterVID3VID3VIF2IF2IF2', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SoftThreshold', 'rtk::Functor::SoftThreshold', 'rtkFunctorSoftThresholdFF', False, 'float, float'),
  ('SoftThreshold', 'rtk::Functor::SoftThreshold', 'rtkFunctorSoftThresholdDD', False, 'double, double'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIF3IF3STFF', False, 'itk::Image<float, 3>, itk::Image<float, 3>, rtk::Functor::SoftThreshold<float, float>'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterID3ID3STDD', False, 'itk::Image<double, 3>, itk::Image<double, 3>, rtk::Functor::SoftThreshold<double, double>'),
  ('SoftThresholdImageFilter', 'rtk::SoftThresholdImageFilter', 'rtkSoftThresholdImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SoftThresholdImageFilter', 'rtk::SoftThresholdImageFilter', 'rtkSoftThresholdImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SpectralForwardModelImageFilter', 'rtk::SpectralForwardModelImageFilter', 'rtkSpectralForwardModelImageFilterVIF3VIF3VIF2IF2IF2', False, 'itk::VectorImage<float, 3>, itk::VectorImage<float, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SpectralForwardModelImageFilter', 'rtk::SpectralForwardModelImageFilter', 'rtkSpectralForwardModelImageFilterVID3VID3VIF2IF2IF2', False, 'itk::VectorImage<double, 3>, itk::VectorImage<double, 3>, itk::VectorImage<float, 2>, itk::Image<float, 2>, itk::Image<float, 2>'),
  ('SubSelectFromListImageFilter', 'rtk::SubSelectFromListImageFilter', 'rtkSubSelectFromListImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SubSelectFromListImageFilter', 'rtk::SubSelectFromListImageFilter', 'rtkSubSelectFromListImageFilterID3', False, 'itk::Image< double,3 >'),
  ('SubSelectImageFilter', 'rtk::SubSelectImageFilter', 'rtkSubSelectImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('SubSelectImageFilter', 'rtk::SubSelectImageFilter', 'rtkSubSelectImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ThreeDCircularProjectionGeometry', 'rtk::ThreeDCircularProjectionGeometry', 'rtkThreeDCircularProjectionGeometry', False),
  ('XMLReader', 'itk::XMLReader', 'itkXMLReader3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('XMLReaderBase', 'itk::XMLReaderBase', 'itkXMLFile', False),
  ('ThreeDCircularProjectionGeometryXMLFileReader', 'rtk::ThreeDCircularProjectionGeometryXMLFileReader', 'rtkThreeDCircularProjectionGeometryXMLFileReader', False),
  ('XMLWriterBase', 'itk::XMLWriterBase', 'itkXMLWriterBase3DCPG', False, 'rtk::ThreeDCircularProjectionGeometry'),
  ('ThreeDCircularProjectionGeometryXMLFileWriter', 'rtk::ThreeDCircularProjectionGeometryXMLFileWriter', 'rtkThreeDCircularProjectionGeometryXMLFileWriter', False),
  ('TotalVariationDenoisingBPDQImageFilter', 'rtk::TotalVariationDenoisingBPDQImageFilter', 'rtkTotalVariationDenoisingBPDQImageFilterIF2ICVF22', False, 'itk::Image<float, 2>, itk::Image<itk::CovariantVector< float,2 >, 2>'),
  ('TotalVariationDenoisingBPDQImageFilter', 'rtk::TotalVariationDenoisingBPDQImageFilter', 'rtkTotalVariationDenoisingBPDQImageFilterIF3ICVF33', False, 'itk::Image<float, 3>, itk::Image<itk::CovariantVector< float,3 >, 3>'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF2', False, 'itk::Image< float,2 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterIF3', False, 'itk::Image< float,3 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterID2', False, 'itk::Image< double,2 >'),
  ('TotalVariationImageFilter', 'rtk::TotalVariationImageFilter', 'rtkTotalVariationImageFilterID3', False, 'itk::Image< double,3 >'),
  ('ObiAttenuation', 'rtk::Function::ObiAttenuation', 'rtkFunctionObiAttenuationUIF', False, 'unsigned int, float'),
  ('ObiAttenuation', 'rtk::Function::ObiAttenuation', 'rtkFunctionObiAttenuationUID', False, 'unsigned int, double'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2IF2OAUIF', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>, rtk::Function::ObiAttenuation< unsigned int,float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI2ID2OAUID', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>, rtk::Function::ObiAttenuation< unsigned int,double >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3IF3OAUIF', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>, rtk::Function::ObiAttenuation< unsigned int,float >'),
  ('UnaryFunctorImageFilter', 'itk::UnaryFunctorImageFilter', 'itkUnaryFunctorImageFilterIUI3ID3OAUID', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>, rtk::Function::ObiAttenuation< unsigned int,double >'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI2IF2', False, 'itk::Image<unsigned int, 2>, itk::Image<float, 2>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI2ID2', False, 'itk::Image<unsigned int, 2>, itk::Image<double, 2>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI3IF3', False, 'itk::Image<unsigned int, 3>, itk::Image<float, 3>'),
  ('VarianObiRawImageFilter', 'rtk::VarianObiRawImageFilter', 'rtkVarianObiRawImageFilterIUI3ID3', False, 'itk::Image<unsigned int, 3>, itk::Image<double, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF2', False, 'itk::VectorImage<float, 2>, itk::Image<float, 2>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF2IF3', False, 'itk::VectorImage<float, 2>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF3', False, 'itk::VectorImage<float, 3>, itk::Image<float, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVIF3IF4', False, 'itk::VectorImage<float, 3>, itk::Image<float, 4>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID2ID2', False, 'itk::VectorImage<double, 2>, itk::Image<double, 2>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID2ID3', False, 'itk::VectorImage<double, 2>, itk::Image<double, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID3ID3', False, 'itk::VectorImage<double, 3>, itk::Image<double, 3>'),
  ('VectorImageToImageFilter', 'rtk::VectorImageToImageFilter', 'rtkVectorImageToImageFilterVID3ID4', False, 'itk::VectorImage<double, 3>, itk::Image<double, 4>'),
  ('WaterPrecorrectionImageFilter', 'rtk::WaterPrecorrectionImageFilter', 'rtkWaterPrecorrectionImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('WaterPrecorrectionImageFilter', 'rtk::WaterPrecorrectionImageFilter', 'rtkWaterPrecorrectionImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('XRadImageIO', 'rtk::XRadImageIO', 'rtkXRadImageIO', False),
  ('XRadImageIOFactory', 'rtk::XRadImageIOFactory', 'rtkXRadImageIOFactory', False),
  ('XRadRawToAttenuationImageFilter', 'rtk::XRadRawToAttenuationImageFilter', 'rtkXRadRawToAttenuationImageFilterIF3IF3', False, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('XRadRawToAttenuationImageFilter', 'rtk::XRadRawToAttenuationImageFilter', 'rtkXRadRawToAttenuationImageFilterID3ID3', False, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('XimImageIO', 'rtk::XimImageIO', 'rtkXimImageIO', False),
  ('XimImageIOFactory', 'rtk::XimImageIOFactory', 'rtkXimImageIOFactory', False),
  ('ZengBackProjectionImageFilter', 'rtk::ZengBackProjectionImageFilter', 'rtkZengBackProjectionImageFilterIF3IF3SWMFDF', False, 'itk::Image<float, 3>, itk::Image< float, 3>'),
  ('ZengBackProjectionImageFilter', 'rtk::ZengBackProjectionImageFilter', 'rtkZengBackProjectionImageFilterID3ID3SWMDDD', False, 'itk::Image<double, 3>, itk::Image< double, 3>'),
  ('ZengForwardProjectionImageFilter', 'rtk::ZengForwardProjectionImageFilter', 'rtkZengForwardProjectionImageFilterIF3IF3', False, 'itk::Image<float, 3>, itk::Image<float, 3>'),
  ('ZengForwardProjectionImageFilter', 'rtk::ZengForwardProjectionImageFilter', 'rtkZengForwardProjectionImageFilterID3ID3', False, 'itk::Image<double, 3>, itk::Image<double, 3>'),
)
snake_case_functions = ('total_variation_image_filter', 'image_duplicator', 'conditional_median_image_filter', 'lu_tbased_variable_i0_raw_to_attenuation_image_filter', 'soft_threshold_image_filter', 'draw_convex_image_filter', 'varian_obi_raw_image_filter', 'sub_select_from_list_image_filter', 'simplex_spectral_projections_decomposition_image_filter', 'projection_stack_to_four_d_image_filter', 'project_geometric_phantom_image_filter', 'phase_gating_image_filter', 'field_of_view_image_filter', 'four_dsart_cone_beam_reconstruction_filter', 'displaced_detector_for_offset_field_of_view_image_filter', 'fft_projections_convolution_image_filter', 'image_file_writer', 'conjugate_gradient_cone_beam_reconstruction_filter', 'forward_projection_image_filter', 'polynomial_gain_correction_image_filter', 'displaced_detector_image_filter', 'image_to_vector_image_filter', 'projections_reader', 'forward_warp_image_filter', 'scatter_glare_correction_image_filter', 'cyclic_deformation_image_filter', 'zeng_forward_projection_image_filter', 'ray_ellipsoid_intersection_image_filter', 'spectral_forward_model_image_filter', 'unary_functor_image_filter', 'sub_select_image_filter', 'lookup_table_image_filter', 'fdk_weight_projection_filter', 'fdk_warp_back_projection_image_filter', 'draw_geometric_phantom_image_filter', 'draw_shepp_logan_filter', 'warp_image_filter', 'denoising_bpdq_image_filter', 'ray_convex_intersection_image_filter', 'four_d_conjugate_gradient_cone_beam_reconstruction_filter', 'admm_wavelets_cone_beam_reconstruction_filter', 'boellaard_scatter_correction_image_filter', 'edf_raw_to_attenuation_image_filter', 'i0_estimation_projection_filter', 'in_place_image_filter', 'fft_ramp_image_filter', 'four_d_to_projection_stack_image_filter', 'ray_box_intersection_image_filter', 'vector_image_to_image_filter', 'zeng_back_projection_image_filter', 'parker_short_scan_image_filter', 'draw_ellipsoid_image_filter', 'motion_compensated_four_d_conjugate_gradient_cone_beam_reconstruction_filter', 'mechlem_one_step_spectral_reconstruction_filter', 'deconstruct_soft_threshold_reconstruct_image_filter', 'select_one_projection_per_cycle_image_filter', 'reorder_projections_image_filter', 'fdk_cone_beam_reconstruction_filter', 'total_variation_denoising_bpdq_image_filter', 'image_source', 'osem_cone_beam_reconstruction_filter', 'last_dimension_l0_gradient_denoising_image_filter', 'elekta_synergy_raw_lookup_table_image_filter', 'constant_image_source', 'extract_phase_image_filter', 'fdk_back_projection_image_filter', 'ray_quadric_intersection_image_filter', 'admm_total_variation_cone_beam_reconstruction_filter', 'iterative_cone_beam_reconstruction_filter', 'image_file_reader', 'joseph_back_projection_image_filter', 'shepp_logan_phantom_filter', 'water_precorrection_image_filter', 'x_rad_raw_to_attenuation_image_filter', 'back_projection_image_filter', 'sart_cone_beam_reconstruction_filter', 'lag_correction_image_filter', 'amsterdam_shroud_image_filter', 'iterative_fdk_cone_beam_reconstruction_filter', 'joseph_forward_projection_image_filter', 'image_to_image_filter', )
